SRC_OP=		$(realpath ../src/operation)

SRC_UTY=	$(realpath ../src/utility_function)

SRC=		$(SRC_OP)/substraction.c	\
		$(SRC_OP)/addition.c	\
		$(SRC_OP)/infin_add.c	\
		$(SRC_OP)/infin_mult.c \
		$(SRC_UTY)/char_functions.c	\
		$(SRC_UTY)/string_functions.c	\
		$(SRC_UTY)/change_sign.c	\
		$(SRC_UTY)/check.c	\
		$(SRC_UTY)/clear_nb.c	\
		$(SRC_OP)/infin_div.c	\
		$(SRC_OP)/infin_mod.c

GCDA=		*.gcda

GCNO=		*.gcno

SRC_UT_DIR=	$(realpath .)

SRC_UT=		$(SRC_UT_DIR)/tests.c

OBJ= 		$(SRC:.c=.o) $(SRC_UT:.c=.o)

CFLAGS=		-Wall -Wextra --coverage

LDFLAGS=	-lcriterion -lgcov -L ../lib/ -lmy

NAME=		units

all:		$(NAME)

$(NAME):	$(OBJ)
		gcc -o $(NAME) $(OBJ) $(LDFLAGS)

clean:
		rm -f $(OBJ)
		rm -f $(GCDA)
		rm -f $(GCNO)
		rm -f $(SRC_OP)/$(GCDA)
		rm -f $(SRC_OP)/$(GCNO)
		rm -f $(SRC_UTY)/$(GCDA)
		rm -f $(SRC_UTY)/$(GCNO)

fclean:		clean
		rm -f $(NAME)

re:		fclean all
